# UDPAuth
<span class="source-link">[[Source]](src/net/auth.md#L9)</span>
```pony
primitive val UDPAuth
```

## Constructors

### create
<span class="source-link">[[Source]](src/net/auth.md#L10)</span>


```pony
new val create(
  from: (AmbientAuth val | NetAuth val))
: UDPAuth val^
```
#### Parameters

*   from: ([AmbientAuth](builtin-AmbientAuth) val | [NetAuth](net-NetAuth) val)

#### Returns

* [UDPAuth](net-UDPAuth) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/net/auth.md#L10)</span>


```pony
fun box eq(
  that: UDPAuth val)
: Bool val
```
#### Parameters

*   that: [UDPAuth](net-UDPAuth) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/net/auth.md#L10)</span>


```pony
fun box ne(
  that: UDPAuth val)
: Bool val
```
#### Parameters

*   that: [UDPAuth](net-UDPAuth) val

#### Returns

* [Bool](builtin-Bool) val

---

